Rename an agent chat
Renames an in-app agent chat owned by the authenticated user. Requires agents.chat in addition to api:write.
PATCH
/agent-chats/{chatId}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:writeor
AuthorizationBearer token (JWT) · headerrequiredPath parameters
chatIdstringrequiredQuery parameters
fieldsToReturnstringComma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.
responseShapestringAdvanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:
compactfullHeader parameters
LT-Response-ShapestringAdvanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.
Allowed:
fullRequest body
requiredapplication/jsontitlestringrequiredNew chat title
Responses
200
successbooleanrequired400
Invalid title
401
Unauthorized - Invalid or missing authentication token
403
Forbidden - Insufficient API scopes or permissions
404
Chat not found